package model;

import java.util.ArrayList;



public abstract class Piece {
	protected Position p;
	protected int color;
	protected boolean hasBeenMoved;

	public static final int WHITE = 1, BLACK = 2;

	protected Piece(Position p, int color) {
		this.p = p;
		this.color = color;
		hasBeenMoved = false;
	}

	public ArrayList<Position> getAvailableMoves(Board b) {
		return null;
	}

	public int getColor() {
		return color;
	}

	public Position getPosition() {
		return p;
	}

	public boolean hasBeenMoved() {
		return hasBeenMoved;
	}

	public void setPosition(Position p) {
		this.p = new Position(p.getX(), p.getY()); // creates a new copy, to avoid using reference
		hasBeenMoved = true;
	}
}
